== Building the source code ==

=== Minimum requirements ===
  • .NET Framework 3.5 for WPF or Expression Blend 3 plug-in or Kaxaml 1.0 plug-in
  • .NET Framework 4.0 for Expression Blend 4 plug-in
  • Expression Blend 3 or 4 for building plug-in (to reference the .dll files)

=== Using make.bat ===
Run make.bat and if you are lucky the script will build without errors.
Successful build creates a 'bin' folder with subfolders for each project.

If there are startup errors open make.bat in text editor.
Check MSBUILD and MSBUILD4 path on line 8 and 9. Run make.bat again.

If there are compile errors (red text appears during build) then
open a .sln in Visual Studio and fix references (remove and add again).
Close Visual Studio and run make.bat.

=== Using Visual Studio ===
For Visual Studio 2008 open .sln file without numbers.
For Visual Studio 2010 open .sln with 4.0 prefix.
Set WPF project as startup project.

=== Other notes ===
Conditional compilation symbol "BLEND4" must be set on Oxage.Printing.Control
project when building plug-in for Expression Blend 4.

=== Original builds ===
.NET 3.5 projects are built on Core Duo 2GHz, 4GB RAM, Windows Vista 32-bit with
installed Visual Studio 2008 and Expression Studio 3 in default directory.

.NET 4.0 projects are built on Core Duo 2GHz, 4GB RAM, Windows 7 64-bit with
installed Visual Studio 2010 and Expression Studio 4 in default directory.

Last edited Jul 17, 2010 at 12:39 PM by papnkukn, version 1

Comments

No comments yet.